# 68. Mutācija: atsvaidzināt "Vektoru analīzes kartes" statistiku

Atjaunina statistiku par zonu karti. To var izmantot, kad UI ir veikta zonu sapludināšana/šķelšana.

{% hint style="info" %}
Pārbaudīt <https://geopard.tech/blog/merge-and-split-zones/> raksts.&#x20;
{% endhint %}

Mutācija, lai atsvaidzinātu statistiku, to neglabājot datu bāzē. Atbilde satur pārrēķināto statistiku JSON formātā.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    ievade: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/68.-mutacija-atsvaidzinat-vektoru-analizes-kartes-statistiku.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
